Author Topic: Moving 2.8.3 to a new host  (Read 2250 times)

Offline stevel

  • Posts: 2
Moving 2.8.3 to a new host
« on: July 22, 2017, 07:35:54 PM »
Hi,
I have just taken over a Website Baker project that was originally created in 2009.
And will be moving it to a new web host.
Current installed version is
CMS Version 2.8.3
Revision 1638
Admin version 1.6
php v5.4.1
***************
When I move to the new host should I copy the existing folders (in httpdocs), import the db then upgrade to 2.10.0
Or should I do a fresh install of 2.10.0, import the db then copy the folder structure.
Any advise on this transition would be greatly appreciated.
Thanks,
Steve

Offline Ruud

  • Posts: 3649
  • Gender: Male
  • Do not use PM for help! Please use the forum!
    • Dev4Me - Professional WebsiteBaker Development
Re: Moving 2.8.3 to a new host
« Reply #1 on: July 22, 2017, 10:57:14 PM »
Just make sure the website is moved correctly (and working).
Upload version 2.10 and follow the instructions.

Some things to know..

Php 5.4 is not good enough for WB 2.10.
Php 5.6 or higher is mandatory for that version. Make sure your new host has it setup before starting an ugrade.

Do not use php 7 yet while moving the old one. Your current WB version will not run on php 7.

If php 7 would be the only option at your new host, do the upgrade to 2.10 before moving. (just be sure to have good bakups)

Offline stevel

  • Posts: 2
Re: Moving 2.8.3 to a new host
« Reply #2 on: August 25, 2017, 12:50:26 AM »
Thanks, sorry for the late reply. Just got back from vacation.
I started the migration today to our new host, but have found some errors when I try to view the site.

Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home1/hansen/public_html/framework/class.database.php on line 59

and

DEPRECATED: PREG_REPLACE(): THE /E MODIFIER IS DEPRECATED, USE PREG_REPLACE_CALLBA CK INSTEAD IN /HOME1/HANSEN/PUBLIC_HTML/MODULES/SHOW_MENU2/INCLUDE.PHP ON LINE 216

Any ideas?

Old host SQL db Server version: 5.5.44-MariaDB - MariaDB Server
Old host PHP version: 5.4.16

New host SQL db Server version: 5.5.51-38.2 - Percona Server (GPL), Release 38.2, Revision 727
New host PHP Version: 5.4.45

Offline Ruud

  • Posts: 3649
  • Gender: Male
  • Do not use PM for help! Please use the forum!
    • Dev4Me - Professional WebsiteBaker Development
Re: Moving 2.8.3 to a new host
« Reply #3 on: August 25, 2017, 10:32:38 AM »
These messages are telling you that future PHP version will not have these functions anymore. Now they are still working.
As soon as your server upgrades it's PHP version your website will stop working.

PHP 5.4.45 is EOL (End of life) since 2 years. There has been no development since 2013 and no security fixes since 2015.
Your host/server administrator should upgrade. (to php 5.6 at least or php 7)

When that happens you will need to upgrade your CMS to a version that will handle this new version. (= wb 2.10)

For now you can try to suppress these messages by checking your error_reporting level. It should be set to E_NONE on a live website.
Depending on your server (php) configuration you should not see these messages anymore.

Just don't forget about them! Sooner or later your problems will just be bigger!

 

postern-length